Bug 604131 - c-ares-devel multilib conflict
c-ares-devel multilib conflict
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: c-ares (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jakub Hrozek
qe-baseos-daemons
:
Depends On: 602880
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-15 09:32 EDT by Jakub Hrozek
Modified: 2010-11-10 14:57 EST (History)
7 users (show)

See Also:
Fixed In Version: c-ares-1.7.0-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 602880
Environment:
Last Closed: 2010-11-10 14:57:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2010-06-15 09:32:18 EDT
+++ This bug was initially created as a clone of Bug #602880 +++

Description of problem:

yum install c-ares-devel.{i686,x86_64}

yields:

Transaction Check Error:
  file /usr/include/ares_build.h from install of c-ares-devel-1.7.0-1.fc13.i686 conflicts with file from package c-ares-devel-1.7.0-1.fc13.x86_64


Version-Release number of selected component (if applicable):
c-ares-devel-1.7.0-1.fc13

--- Additional comment from jhrozek@redhat.com on 2010-06-11 04:34:29 EDT ---

Right, that is caused by the ares_build.h file being generated during configure-time. The header includes stuff like (sigh) #define CARES_SIZEOF_LONG

So it's not just a packaging issue and should be discussed with upstream first.
Comment 2 RHEL Product and Program Management 2010-06-15 09:53:09 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Alexander Todorov 2010-08-23 10:39:27 EDT
[root@ibm-x3950m2-02 6]# yum install c-ares-devel.{i686,x86_64}
Loaded plugins: refresh-packagekit, rhnplugin
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package c-ares-devel.i686 0:1.7.0-5.el6 set to be updated
--> Processing Dependency: libcares.so.2 for package: c-ares-devel-1.7.0-5.el6.i686
---> Package c-ares-devel.x86_64 0:1.7.0-5.el6 set to be updated
--> Running transaction check
---> Package c-ares.i686 0:1.7.0-5.el6 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================================================
 Package                                  Arch                               Version                                   Repository                                      Size
============================================================================================================================================================================
Installing:
 c-ares-devel                             i686                               1.7.0-5.el6                               beaker-os-optional                              60 k
 c-ares-devel                             x86_64                             1.7.0-5.el6                               beaker-os-optional                              60 k
Installing for dependencies:
 c-ares                                   i686                               1.7.0-5.el6                               beaker-os-optional                              53 k

Transaction Summary
============================================================================================================================================================================
Install       3 Package(s)
Upgrade       0 Package(s)

Total download size: 173 k
Installed size: 250 k
Is this ok [y/N]: y
Downloading Packages:
(1/3): c-ares-1.7.0-5.el6.i686.rpm                                                                                                                   |  53 kB     00:00     
(2/3): c-ares-devel-1.7.0-5.el6.i686.rpm                                                                                                             |  60 kB     00:00     
(3/3): c-ares-devel-1.7.0-5.el6.x86_64.rpm                                                                                                           |  60 kB     00:00     
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                       2.2 MB/s | 173 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : c-ares-1.7.0-5.el6.i686                                                                                                                              1/3 
  Installing     : c-ares-devel-1.7.0-5.el6.x86_64                                                                                                                      2/3 
  Installing     : c-ares-devel-1.7.0-5.el6.i686                                                                                                                        3/3 

Installed:
  c-ares-devel.i686 0:1.7.0-5.el6                                                     c-ares-devel.x86_64 0:1.7.0-5.el6                                                    

Dependency Installed:
  c-ares.i686 0:1.7.0-5.el6                                                                                                                                                 

Complete!
Comment 5 releng-rhel@redhat.com 2010-11-10 14:57:44 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.